|
import math
import rhinoscriptsyntax as rs
a=rs.GetObject('get a curve')
b=rs.GetObject('get b curve')
pa=rs.DivideCurve(a,10,False,True)
pb=rs.DivideCurve(b,10,False,True)
for i in range(0,len(pa)+1):
rs.AddLine(pa[i],pb[i])
import math
import rhinoscriptsyntax as rs
a=rs.GetObject('get a curve')
b=rs.GetObject('get b curve')
c=rs.GetObject('get c curve')
pa=rs.DivideCurve(a,10,False,True)
pb=rs.DivideCurve(b,10,False,True)
pc=rs.DivideCurve(c,10,False,True)
for i in range(0,len(pa)+1):
rs.addpolyline(pa[i],pb[i],pc[i])
Message: 'module' object has no attribute 'addpolyline' 三条线连polyline,不知道最后一步怎么给数据了。
|
|